{
  "type": "minecraft:crafting_shaped",
  "category": "misc",
  "key": {
    "A": "#minecraft:stone_crafting_materials",
    "B": "#minecraft:coals",
    "C": "bricks"
  },
  "pattern": [
    "AAA",
    "ABA",
    "CCC"
  ],
  "result": {
    "count": 1,
    "id": "minecraft:furnace"
  }
}